Skip to main content
`Ctrl`+`K`

# Raster

This module contains the class to manipulate rasters. Class for defining a collection of RasterBand.

class tracklib.core.Raster.Raster(grids, verbose=True)
  __init__(grids, verbose=True)

    On crée un raster avec une ou plusieurs grilles géographiques déjà chargées avec les données.

    ## Parameters

    gridslist

      A list of RasterBand or one RasterBand.

  bandCount()

    TODO

  getNamesOfRasterBand()

    Return all the names of raster bands in a list.

  getRasterBand(identifier)

    Return the raster band by the index

    Return type

      `RasterBand`

  plot(identifier, axe=None, figure=None, color1=(0, 0, 0), color2=(255, 255, 255))

    At the moment, juste one band of raster, that’s why the name is needeed.